﻿
/* BOOTSTRAP OVERRIDES */

/*.form-horizontal .form-group {
    margin-left: 0;
    margin-right: 0;
}

.form-horizontal .control-label {
    padding-right: 15px;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 900;
    margin: 10px 0;
}

*/

.form-group {
    margin-bottom: 30px;
}

    .form-group.required .control-label:after {
        content: "*";
        color: red;
    }

.form-control {
    border-radius: 0;
    box-shadow: none;
}

    .form-control:focus {
        border-color: #999;
        border-width: 2px;
        box-shadow: none;
        outline: 0 none;
    }

.alert-danger {
    color: red;
    background-color: #FFFFFF;
    border-color: red;
    border-radius: 0;
}

.alert-success, .alert-info {
    color: #333333;
    background-color: #EEEEEE;
    border-color: #666666;
    border-radius: 0;
}

.panel {
    border-radius: 0;
    box-shadow: none;
}
.panel-survey {
    border-color: #dddddd;
    padding: 24px 10px 2px 10px;
    background-color: #f5f5f5;

}




/* Boostrap Form Overrides (developed in Big-Event.aspx) */
/*
    EXAMPLE
    O Label1   O Label2   O Label3

    RULE
    <asp:Form               class=NONE
    <asp:RadioButtonList    CssClass="radio"    //moves entire list on own line
    <asp:ListItem           class="radio-inline //keeps all inputs on same line
    
    OUTPUT
    <span class="radio">
        <span class="radio-inline">
            <input>
            <label>
        </span>
    </span>
*/

.radio .radio-inline label,
.checkbox .checkbox-inline label {
    margin-right: 50px;
    padding-left: 0;
}

/* inline radio/cb spacing */
span.radio-inline span.radio-inline,
span.checkbox-inline span.checkbox-inline {
    margin-right: 20px;
}

.radio-inline + .radio-inline,
.checkbox-inline + .checkbox-inline {
    margin-left: 0;
}

.form-horizontal .radio span.radio,
.form-horizontal .radio-inline span.radio-inline,
.form-horizontal .checkbox span.checkbox,
.form-horizontal .checkbox-inline span.checkbox-inline {
    margin-bottom: 5px;
    /* from chanukah/donor_info.aspx */
    padding-top: 0;
    padding-left: 20px;
}

/* -inline class on asp:RadioButtonList or asp:CheckboxList (use CssClass=) */
.form-horizontal .radio-inline label,
.form-horizontal .checkbox-inline label {
    margin-right: 50px;
}

.form-control::-webkit-input-placeholder, /* Chrome/Opera/Safari */
.form-control::-moz-placeholder, /* Firefox 19+ */
.form-control:-ms-input-placeholder, /* IE 10+ */
.form-control:-moz-placeholder /* Firefox 18- */ {
    color: #CCC;
}


.table th a,
.table th a:link {
    color: #FFF;
}

.table th a:hover,
.table th a:active {
    color: #DDD;
}


/*style form datepicker calendar control*/
table th {
    color: #ffffff;
    /*text-align: center;*/
    background-color: #007dc3;
}

td input[type="checkbox"] {
    float: left;
    margin: 0 auto;
    width: 100%;
}


/* INLINE FORM FORM-GROUP MARGIN ADJUSTMENT */

.form-inline .form-group {
    margin: 10px 10px 10px 0;
    vertical-align: inherit;
}




/* FOR SURVEY-LIKE NUMBERS ABOVE RADIO LIST 1-10 SCALE */


.NumbersAbove {
    margin-top:10px;
}
.NumbersAbove span.radio-inline,
.NumbersAbove span.checkbox-inline {
    margin-right:25px;

}
@media (max-width: 995px)  {

    .NumbersAbove {
        margin-top:0;
    }
    .NumbersAbove span.radio-inline,
    .NumbersAbove span.checkbox-inline {
        margin-top:20px;
    }
}

.NumbersAbove span.radio-inline label,
.NumbersAbove span.checkbox-inline label {
    position: relative;
    left: -18px;
    top: -15px;

}




/* BUTTONS */


/* disabled as was causing problems with all submit inputs, like mag glass on search
    BACK CHECK ALL FORMS TO ADD .juf-btn CLASS ON THESE */

/*input[type=submit],
button[type=submit] {
    padding: 8px 24px;
    font-size: 100%;
    display: inline-block;
    font-weight: bold;
    margin: 20px 0;
    text-transform: uppercase;
    border-radius: 0px;
    background-color: #FFFFFF;
}*/

/* legacy */

.juf-btn,
.pri-btn,
input[type=submit].juf-btn {
    color: #007dc3;
    border: 3px #007dc3 solid;
    padding: 8px 24px;
    font-size: 22px;
    display: inline-block;
    font-weight: bold;
    margin: 20px 0 30px 0;
    text-transform: uppercase;
    border-radius: 0px;
    background-color: #FFFFFF;
}

.juf-btn:hover,
input[type=submit].juf-btn:hover {
        color: #FFFFFF;
        background-color: #007dc3;
        text-decoration: none;
    }


.pri-btn {
    color: #007dc3;
    border: 3px #007dc3 solid;
}

    .pri-btn:hover {
        color: #FFFFFF;
        background-color: #007dc3;
        text-decoration: none;
    }

.sec-btn {
    color: #db801b;
    border: 3px #db801b solid;
}

    .sec-btn:hover {
        color: #FFFFFF;
        background-color: #db801b;
        text-decoration: none;
    }


.juf-btn-wide {
    width: 100%;
}

.juf-btn-small {
    border-width: 2px;
    padding: 4px 12px;
    font-size: 80% !important;
    display: inline-block;
    font-weight: bold;
    margin: 10px 0;
}

.juf-btn-tiny {
    display: inline-block;
    font-size: 12px;
    font-weight: bold;
    margin: 5px 0 0 0;
    padding: 2px 5px;
}



/* GRID VIEW STYLES */

.ascending a {
                background: url(/National_Library/20161130034600oe_/https://juf.org/WrapperRWD/img/ascending.png) 98% no-repeat;
                display: block;
                padding: 0 25px 0 5px;
}
.descending a {
                background: url(/National_Library/20161130034600oe_/https://juf.org/WrapperRWD/img/descending.png) 98% no-repeat;
                display: block;
                padding: 0 25px 0 5px;
}






/* JUF STYLES */


/*.jufForm {
    border: 1px solid #CCC;
    margin: 24px auto;
    padding: 24px 12%;
    border-radius: 0;
}

@media (max-width: 768px) {
    .jufForm {
        padding: 12px;
    }
}*/

.reqAsterisk {
    color: red;
}

.noBold label {
    font-weight: normal !important;
}



.form_validation {
    text-align:left;
    padding:15px 25px 5px 5px;
    color: Red;
}


.labelHelper i {
    color:#2280BE;
    text-align: left;
    font-family: "Open Sans",sans-serif !important;
    font-size: 12px;
    font-style: normal;
}

.labelHelperSmall {
    color:#666;
    font-size: 10px;
    font-style: normal;
}

.labelHelperSmall span {
    color: #007dc3;
}



